%global commit 280aac5a0ee09c45b17ec4be0681397f7c34c12e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

#global gitdate 20210201
%global pkgname %{?gitdate:xserver}%{!?gitdate:xwayland}

%global default_font_path "catalogue:/etc/X11/fontpath.d,built-ins"

Summary:   Xwayland
Name:      x11-server-xwayland
Version:   23.2.6
Release:   %mkrel 1
Group:     System/X11

URL:       http://www.x.org
%if 0%{?gitdate}
Source0:   https://gitlab.freedesktop.org/xorg/%{pkgname}/-/archive/%{commit}/%{pkgname}-%{shortcommit}.tar.xz
%else
Source0:   https://www.x.org/pub/individual/xserver/%{pkgname}-%{version}.tar.xz
%endif

License:   MIT

Requires: x11-server-common
#Requires: libEGL

BuildRequires: gcc
BuildRequires: git-core
BuildRequires: meson
BuildRequires:  lib64fontenc-devel
BuildRequires:  eglexternalplatform-devel
BuildRequires:  lib64nvidia-egl-wayland-devel
BuildRequires:  lib64xfont2-devel
BuildRequires:  x11-xtrans-devel
BuildRequires:  x11-util-macros
BuildRequires:  lib64xres-devel
BuildRequires:  lib64xmu-devel
BuildRequires:  lib64dmx-devel

BuildRequires: wayland-devel
BuildRequires: pkgconfig(wayland-client) >= 1.3.0
BuildRequires: pkgconfig(wayland-protocols)

BuildRequires: pkgconfig(epoxy)
BuildRequires: pkgconfig(libdrm) >= 2.4.0
BuildRequires: pkgconfig(libssl)
BuildRequires: pkgconfig(libtirpc)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xau)
BuildRequires: pkgconfig(xdmcp)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xkbfile)
BuildRequires: pkgconfig(xpm)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xres)
BuildRequires: pkgconfig(xshmfence) >= 1.1
BuildRequires: pkgconfig(xtst)
BuildRequires: pkgconfig(xv)
BuildRequires: x11-proto-devel >= 7.7-10

BuildRequires: pkgconfig(dri)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(egl)
BuildRequires: pkgconfig(gbm)

BuildRequires: audit-libs-devel
#BuildRequires: libselinux-devel >= 2.0.86-1

# libunwind is Exclusive for the following arches
%ifarch aarch64 %{arm} hppa ia64 mips ppc ppc64 %{ix86} x86_64
%if !0%{?rhel}
BuildRequires: libunwind-devel
%endif
%endif

BuildRequires: pkgconfig(xcb-aux)
BuildRequires: pkgconfig(xcb-image)
BuildRequires: pkgconfig(xcb-icccm)
BuildRequires: pkgconfig(xcb-keysyms)
BuildRequires: pkgconfig(xcb-renderutil)

%description
Xwayland is an X server for running X clients under Wayland.

%package devel
Summary: Development package
Group: Development/Libraries
Requires: pkgconfig

%description devel
The development package provides the developmental files which are
necessary for developing Wayland compositors using Xwayland.

%prep
%setup -q git_am -n %{pkgname}-%{?gitdate:%{commit}}%{!?gitdate:%{version}}
%autopatch -p1

%build

export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"

%meson \
        -Dxwayland_eglstream=true \
        -Ddefault_font_path=%{default_font_path} \
        -Dbuilder_string="Build ID: %{name} %{version}-%{release}" \
        -Dxkb_output_dir=%{_localstatedir}/lib/xkb \
        -Dxcsecurity=true \
        -Dglamor=true \
        -Ddri3=true

%meson_build

%install
%meson_install

# Remove unwanted files/dirs
rm $RPM_BUILD_ROOT%{_mandir}/man1/Xserver.1*
rm -Rf $RPM_BUILD_ROOT%{_libdir}/xorg
rm -Rf $RPM_BUILD_ROOT%{_includedir}/xorg
rm -Rf $RPM_BUILD_ROOT%{_datadir}/aclocal
rm -Rf $RPM_BUILD_ROOT%{_localstatedir}/lib/xkb

%files
%{_bindir}/Xwayland
%{_datadir}

%files devel
%{_libdir}/pkgconfig/xwayland.pc



%changelog
* Tue Apr 09 2024 tex - 23.2.6-1pclos2024
- new version

* Thu Apr 04 2024 tex - 23.2.5-1pclos2024
- new version

* Wed Jan 17 2024 tex - 23.2.4-1pclos2024
- new version

* Wed Dec 13 2023 tex - 23.2.3-1pclos2023
- new version

* Wed Oct 25 2023 tex - 23.2.2-1pclos2023
- new version

* Thu Sep 21 2023 tex - 23.1.2-1pclos2023
- new version

* Thu Sep 21 2023 tex - 22.1.9-1pclos2023
- new version
